> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Invitation Redirect

> Redirect invitation acceptance to frontend.

This endpoint is accessed via the link in the invitation email.
It always redirects to the home page with the invitation token,
allowing the frontend to handle the acceptance flow via a modal.

This approach works with SameSite='strict' cookies because:
- Cross-site navigation (clicking email link) doesn't send cookies
- But same-origin POST requests (from frontend) DO send cookies

Args:
    token: The invitation token from the email link
    request: FastAPI request

Returns:
    RedirectResponse: Redirect to home page with invitation_token query param



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/organizations/members/invite/accept
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/organizations/members/invite/accept:
    get:
      summary: Accept Invitation Redirect
      description: |-
        Redirect invitation acceptance to frontend.

        This endpoint is accessed via the link in the invitation email.
        It always redirects to the home page with the invitation token,
        allowing the frontend to handle the acceptance flow via a modal.

        This approach works with SameSite='strict' cookies because:
        - Cross-site navigation (clicking email link) doesn't send cookies
        - But same-origin POST requests (from frontend) DO send cookies

        Args:
            token: The invitation token from the email link
            request: FastAPI request

        Returns:
            RedirectResponse: Redirect to home page with invitation_token query param
      operationId: accept_invitation_redirect_api_organizations_members_invite_accept_get
      parameters:
        - name: token
          in: query
          required: true
          schema:
            type: string
            title: Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````